GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
GDALTriBarycentricCoefficients Struct Reference

Triangle barycentric coefficients. More...

`#include <gdal_alg.h>`

## Public Attributes
double | dfMul1X
| dfMul1X
double | dfMul1Y
| dfMul1Y
double | dfMul2X
| dfMul2X
double | dfMul2Y
| dfMul2Y
double | dfCstX
| dfCstX
double | dfCstY
| dfCstY

## Detailed Description

Triangle barycentric coefficients.

Conversion from cartesian (x,y) to barycentric (l1,l2,l3) with : l1 = dfMul1X * (x - dfCxtX) + dfMul1Y * (y - dfCstY) l2 = dfMul2X * (x - dfCxtX) + dfMul2Y * (y - dfCstY) l3 = 1 - l1 - l2

The documentation for this struct was generated from the following file:

- gdal_alg.h

Generated for GDAL by 1.8.9.1.